Subject: Re: bug#39505: Adding filesystem utilities based on file-systems

From: Leo Famulari <[email-masked]>
Date: Thu, 20 Feb 2020 13:37:26 -0500

On Wed, Feb 19, 2020 at 10:31:07PM -0500, Maxim Cournoyer wrote:
> What is the use case?  Just having btrfs utilities to manage Btrfs file
> systems, or is there some problems to avoid?  I know that for NFS you
> must add nfs-utils so that the util-linux provided 'mount' is able to
> mount NFS shares.

It's just to manage the filesystems. For example, the equivalent of `df
-h` requires btrfs-progs.

> If the later is the use case, perhaps we could try to hard reference to
> each file system utility in util-linux, instead of having it dispatch
> some tool supposed to be in the PATH?  I'm not sure how difficult that
> would be, and it'd for sure increase the size of util-linux, but perhaps
> the pros outweighs the cons.

Is there some integration between util-linux and btrfs-progs?